<template>
  <div class="runControls">
    <b-button-group>
      <DeleteRun v-if="me && me.groups.includes('MOD')" :run="run" />
      <CreateRun
        :system="run.test.system"
        :selectedTest="run.test.id"
        :selectedBuild="run.build.id"
      />
    </b-button-group>
  </div>
</template>

<script>
import DeleteRun from "@/components/CRUDE/DeleteRun.vue";
import CreateRun from "@/components/CRUDE/CreateRun.vue";
import gql from "graphql-tag";

export default {
  name: "RunControls",
  components: {
    DeleteRun,
    CreateRun
  },
  data() {
    return {
      me: {
        groups: []
      }
    };
  },
  apollo: {
    me: {
      query: gql`
        query {
          me {
            id
            name
            groups
            email
            joined
          }
        }
      `
    }
  },
  props: {
    run: Object
  }
};
</script>
